function init(){
    initBtnGroup();
}

// Validation of input groups
function validarEjercicio1(groupKey){

    var rs = ["<", "<"];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $('div.resultado[keyValue="'+key+'"][groupKey='+groupKey+']');

        if ( val ===  rs[key] ){ //  No error
            $(this).removeClass('bgError');
            $(this).addClass('bgAcierto');
        }
        else{
            $(this).addClass('bgError');
            $(this).removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }

    });

    if(errorInForm >0){
        sg.sound('error');
    }
    else{
        sg.sound('success-low');
    }
}


// Validation of input groups
function validarEjercicio2(groupKey){

    var rs = ["=", "="];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $('div.resultado[keyValue="'+key+'"][groupKey='+groupKey+']');

        if ( val ===  rs[key] ){ //  No error
            $(this).removeClass('bgError');
            $(this).addClass('bgAcierto');
        }
        else{
            $(this).addClass('bgError');
            $(this).removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }

    });

    if(errorInForm >0){
        sg.sound('error');
    }
    else{
        sg.sound('success-low');
    }
}
// Validation of input groups
function validarEjercicio3(groupKey){

    var rs = [">", ">"];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $('div.resultado[keyValue="'+key+'"][groupKey='+groupKey+']');

        if ( val ===  rs[key] ){ //  No error
            $(this).removeClass('bgError');
            $(this).addClass('bgAcierto');
        }
        else{
            $(this).addClass('bgError');
            $(this).removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }

    });

    if(errorInForm >0){
        sg.sound('error');
    }
    else{
        sg.sound('success-low');
    }
}
// Validation of input groups
function validarEjercicio4(groupKey){

    var rs = ["=", "="];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $('div.resultado[keyValue="'+key+'"][groupKey='+groupKey+']');

        if ( val ===  rs[key] ){ //  No error
            $(this).removeClass('bgError');
            $(this).addClass('bgAcierto');
        }
        else{
            $(this).addClass('bgError');
            $(this).removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }

    });

    if(errorInForm >0){
        sg.sound('error');
    }
    else{
        sg.sound('success-low');
    }
}


// Validation of input groups
function validarEjercicioTab2(key){

    var groupKey = 10;  // Valor definido en tab2 

    var rs = ["x<-5", "x<=-7", "x>=-39", "x<-5", "x>-64", "x<-9,6"];
    var errorInForm = 0;
    var input = $(":input[keyvalue='"+key+"'][groupkey='"+groupKey+"' ]");
    var  val =  input.val(); // key to answer
    val=val.toLowerCase().replace(/ /g,'').replace(/\./g,','); //aseguro separador decimal

    console.log(val);
    if (typeof val != typeof undefined)
    {
        val=val.toLowerCase().replace(/ /g,'');
    }
    var divResultado = $('div.resultado[keyValue="'+key+'"][groupKey='+groupKey+']');

        if ( val === rs[key] ){ //  No error
            divResultado.removeClass('bgError');
            divResultado.addClass('bgAcierto');
            sg.sound('success-low');
        }
        else{
            divResultado.addClass('bgError');
            divResultado.removeClass('bgAcierto');
            input.val('');
            sg.sound('error');
        }

}

// <button class="naranja " btn-group="1" btn-id="1">1</button>
// <p class="texto1 cblanco cont-h1  txt">Test</p>
function initBtnGroup(){
    var btn = $('[btn-group]');
    $("[class*='cont-h']").css("display","none");

    btn.each(function(){
        $(this).click(function(){
            var idBtnClick = $(this).attr('btn-id');
            $(this).addClass("selected");
            $('.cont-h'+ $(this).attr('btn-id')).effect('slide').css('display','block');
            sg.sound ('success-low');
            var btnGrupo = $('[btn-group ='+$(this).attr('btn-group')+']');
            btnGrupo.each(function() {
                var idBtn = $(this).attr('btn-id');
                if(idBtn!=idBtnClick){
                    $('.cont-h'+idBtn).css("display","none");
                    $(this).removeClass("selected");
                }
            });
        });
    });
}
